imac won't connect iphone 4s gives itunes error

  ladyspider4 21:33 03 Nov 2015
Locked

Can anyone help please? I have an imac running 10.6.8 server and it is giving me an error message every time i connect my iphone 4s. "The iPhone “XXXXXXXXX’s iPhone” cannot be used because it requires a newer version of iTunes. Go to www.itunes.com to download the latest version of iTunes. Yet i have not had a system update for the OS or itunes. Any help is greatly appreciated!

  [email protected] 08:52 04 Nov 2015

Your described problem is identical to the one under discussion at click here

This thread is now locked and can not be replied to.

Elsewhere on IDG sites

Amazon slashes Echo Dot price to just £24.99 to kick off Black Friday

The 51 Best Free Typefaces Every Designer Should Have

Mac mini 2018 review

Les meilleurs écouteurs et casques audio (2018)